diff --git a/home/lucifer/.local/share/nautilus/scripts/05b-macOS/07-E01-ip-addresses b/home/lucifer/.local/share/nautilus/scripts/05b-macOS/07-E01-ip-addresses
new file mode 100755
index 0000000..5d60f46
--- /dev/null
+++ b/home/lucifer/.local/share/nautilus/scripts/05b-macOS/07-E01-ip-addresses
@@ -0,0 +1,114 @@
+#!/bin/bash
+#===============================================================================
+#
+# DIRECTORY:
+# /home/*/.local/share/nautilus/scripts/05b-macOS/
+# OR
+# /home/*/.gnome2/nautilus-sctipts/05b-macOS/ (deprecated)
+#
+# FILE:
+# 07-E01-ip-addresses
+#
+# USAGE:
+# Right klick on an EWF (or RAW) image and
+# choose this nautilus script from the context menu.
+#
+# OPTIONS:
+# none
+#
+# DESCRIPTION:
+# Extract the last dynamic (DHCP) or manual configured ip address(es).
+#
+# REQUIREMENTS:
+# bash, zenity, ...
+#
+# BUGS:
+# ---
+#
+# NOTES:
+# Tested on
+# - Debian 8+
+# - Arch Linux
+#
+# AUTHOR:
+# Patrick Neumann, patrick@neumannsland.de
+#
+# COMPANY:
+# (privately)
+#
+# VERSION:
+# 0.9 (beta)
+#
+# LINK TO THE MOST CURRENT VERSIONS:
+# https://
+#
+# CREATED:
+# --.--.----
+#
+# COPYRIGHT (C):
+# 2015-2020 - Patrick Neumann
+#
+# LICENSE:
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# WARRANTY:
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+# TODO:
+# ---
+#
+# HISTORY:
+# 0.9 - Patrick Neumann - Initial (public) release
+#
+#===============================================================================
+
+#-------------------------------------------------------------------------------
+# Additional supported Distribution(s) (add before Library!).
+#-------------------------------------------------------------------------------
+SUPPORTED_OSR="arch"
+
+#-------------------------------------------------------------------------------
+# Check for library (casualscripter_nautilus-scripts_functions.sh).
+#-------------------------------------------------------------------------------
+readonly LIBRARY="${0%/*/*}/.casualscripter_nautilus-scripts_functions.sh"
+if [ ! -f "${LIBRARY}" ] ; then
+ zenity --error \
+ --text \
+ "ERROR: casualscripter_nautilus-scripts_functions.sh MISSING!"
+ exit 1
+fi
+
+source "${LIBRARY}"
+
+#-------------------------------------------------------------------------------
+# Checks (see library "casualscripter_nautilus-scripts_functions.sh").
+#-------------------------------------------------------------------------------
+check_dep "${MMLS_BIN}" "sleuthkit"
+
+check_ext "${SOURCE}" "[eE]01"
+
+#-------------------------------------------------------------------------------
+# A little bit of configuration before the magic.
+#-------------------------------------------------------------------------------
+readonly IP_ADDRESSES="${TMP}/ip-addresses.txt"
+
+#-------------------------------------------------------------------------------
+# The wonder...
+#-------------------------------------------------------------------------------
+hint "has to be implemented" && exit
+
+#-------------------------------------------------------------------------------
+# Display content of the resultfile "timezone.txt".
+#-------------------------------------------------------------------------------
+display_resultfile "${IP_ADDRESSES}"
+
+exit 0
diff --git a/home/lucifer/.local/share/nautilus/scripts/05c-Linux/06-fwh-sha512crypt-hashcat-dict b/home/lucifer/.local/share/nautilus/scripts/05c-Linux/06-fwh-sha512crypt-hashcat-dict
index 9427f5e..2cf9a5e 100755
--- a/home/lucifer/.local/share/nautilus/scripts/05c-Linux/06-fwh-sha512crypt-hashcat-dict
+++ b/home/lucifer/.local/share/nautilus/scripts/05c-Linux/06-fwh-sha512crypt-hashcat-dict
@@ -100,7 +100,7 @@ check_dep "${SLEEP_BIN}" "coreutils"
check_ext "${SOURCE}" "txt"
# For development I have only used rockyou.txt.
-# TODO: choice of more dictionaties:
+# TODO: choice of more AND MUCH SHORTER dictionaties:
# https://github.com/danielmiessler/SecLists/tree/master/Passwords
readonly DICTIONARY="/home/${USER}/hashcat/dictionaries/rockyou.txt"
check_file "${DICTIONARY}" "rockyou.txt"
@@ -112,7 +112,9 @@ readonly HASHCAT="${DIRNAME}/$( ${BASENAME_BIN} "${SOURCE}" )-hashcat-dictionary
#-------------------------------------------------------------------------------
# We need force if we use an intel GPU with "broken" OpenCL!
-# (need some hours)
+# (need years!!!)
+#
+# Actually not working with nVidia (OpenCL and/or Cuda)!
#-------------------------------------------------------------------------------
if [ ! -f "${HASHCAT}" ] ; then
${GTERMINAL_BIN} --hide-menubar -- \
diff --git a/home/lucifer/.local/share/nautilus/scripts/05c-Linux/07-E01-ip-addresses b/home/lucifer/.local/share/nautilus/scripts/05c-Linux/07-E01-ip-addresses
new file mode 100755
index 0000000..2c06278
--- /dev/null
+++ b/home/lucifer/.local/share/nautilus/scripts/05c-Linux/07-E01-ip-addresses
@@ -0,0 +1,114 @@
+#!/bin/bash
+#===============================================================================
+#
+# DIRECTORY:
+# /home/*/.local/share/nautilus/scripts/05c-Linux/
+# OR
+# /home/*/.gnome2/nautilus-sctipts/05c-Linux/ (deprecated)
+#
+# FILE:
+# 07-E01-ip-addresses
+#
+# USAGE:
+# Right klick on an EWF (or RAW) image and
+# choose this nautilus script from the context menu.
+#
+# OPTIONS:
+# none
+#
+# DESCRIPTION:
+# Extract the last dynamic (DHCP) or manual configured ip address(es).
+#
+# REQUIREMENTS:
+# bash, zenity, ...
+#
+# BUGS:
+# ---
+#
+# NOTES:
+# Tested on
+# - Debian 8+
+# - Arch Linux
+#
+# AUTHOR:
+# Patrick Neumann, patrick@neumannsland.de
+#
+# COMPANY:
+# (privately)
+#
+# VERSION:
+# 0.9 (beta)
+#
+# LINK TO THE MOST CURRENT VERSIONS:
+# https://
+#
+# CREATED:
+# --.--.----
+#
+# COPYRIGHT (C):
+# 2015-2020 - Patrick Neumann
+#
+# LICENSE:
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# WARRANTY:
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see .
+#
+# TODO:
+# ---
+#
+# HISTORY:
+# 0.9 - Patrick Neumann - Initial (public) release
+#
+#===============================================================================
+
+#-------------------------------------------------------------------------------
+# Additional supported Distribution(s) (add before Library!).
+#-------------------------------------------------------------------------------
+SUPPORTED_OSR="arch"
+
+#-------------------------------------------------------------------------------
+# Check for library (casualscripter_nautilus-scripts_functions.sh).
+#-------------------------------------------------------------------------------
+readonly LIBRARY="${0%/*/*}/.casualscripter_nautilus-scripts_functions.sh"
+if [ ! -f "${LIBRARY}" ] ; then
+ zenity --error \
+ --text \
+ "ERROR: casualscripter_nautilus-scripts_functions.sh MISSING!"
+ exit 1
+fi
+
+source "${LIBRARY}"
+
+#-------------------------------------------------------------------------------
+# Checks (see library "casualscripter_nautilus-scripts_functions.sh").
+#-------------------------------------------------------------------------------
+check_dep "${MMLS_BIN}" "sleuthkit"
+
+check_ext "${SOURCE}" "[eE]01"
+
+#-------------------------------------------------------------------------------
+# A little bit of configuration before the magic.
+#-------------------------------------------------------------------------------
+readonly IP_ADDRESSES="${TMP}/ip-addresses.txt"
+
+#-------------------------------------------------------------------------------
+# The wonder...
+#-------------------------------------------------------------------------------
+hint "has to be implemented" && exit
+
+#-------------------------------------------------------------------------------
+# Display content of the resultfile "timezone.txt".
+#-------------------------------------------------------------------------------
+display_resultfile "${IP_ADDRESSES}"
+
+exit 0